Prestashop template problems

:warning: IMPORTANT, please fill the questions

We assume you are using Bitnami to deploy your application.

  • Which version of the application are you using?: bitnami-prestashop-1-7-6-7-0-linux-debian-10-x86-64

  • Please choose how you got the application: Installer (Windows, Linux, macOS), cloud image (AWS, GCE, Azure, …) or VM (VMDK, VBOX): GCE

  • Have you installed any plugin or modified any configuration file?: NO

  • Describe here your question/suggestion/issue (expected and actual results): I’m having problems when changing default template to other. I have Prestashop version 1.7.6.7. When I work with default template, my website displays correctly, but When I change it, the site does not show at all.

  • Steps to reproduce the issue (if relevant):

  • Copy the apache log (if relevant): I used Bitnami support tool and got this code: 4275a5cb-71da-3abd-3354-78539d616d3f

Hi @contacto1,

Our diagnostic tool found the following errors:

✓ Database: No issues found
? Apache: Found possible issues
? Resources: Found possible issues
  1. Found recent error messages in the Apache error log.
[Tue Mar 02 16:18:06.217870 2021] [proxy_fcgi:error] [pid 4448:tid 140370788570880] [client 201.188.197.8:65292] AH01071: Got error 'PHP message: PHP Fatal error:  Uncaught Symfony\Component\Config\Util\Exception\XmlParsingException: [ERROR 4] Start tag expected, '<' not found (in n/a - line 1, column 1) in /opt/bitnami/apps/prestashop/htdocs/vendor/symfony/symfony/src/Symfony/Component/Config/Util/XmlUtils.php:62
Stack trace:
#0 /opt/bitnami/apps/prestashop/htdocs/vendor/symfony/symfony/src/Symfony/Component/Config/Util/XmlUtils.php(131): Symfony\Component\Config\Util\XmlUtils::parse('\xA5`\f!\xC8\xB2\x8F\xE0A\xFD\xE8J\x7F\xA3O...', NULL)
#1 /opt/bitnami/apps/prestashop/htdocs/vendor/symfony/symfony/src/Symfony/Component/Translation/Loader/XliffFileLoader.php(54): Symfony\Component\Config\Util\XmlUtils::loadFile(Object(Symfony\Component\Finder\SplFileInfo))
#2 /opt/bitnami/apps/prestashop/htdocs/vendor/symfony/symfony/src/Symfony/Component/Translation/Loader/XliffFileLoader.php(42): Symfony\Component\Translation\Loader\XliffFileLoader->extract(Object(Symfony\Component\Finder\SplFileInfo), Object(Symfony\Component\Translation\MessageCa...
...
[Tue Mar 02 16:12:40.441193 2021] [proxy_fcgi:error] [pid 4448:tid 140370922854144] [client 201.188.197.8:65254] AH01071: Got error 'PHP message: PHP Notice:  Undefined index: _route in /opt/bitnami/apps/prestashop/htdocs/src/PrestaShopBundle/Controller/Admin/CommonController.php on line 121\n', referer: http://saludcenter.cl/administration/index.php/configure/advanced/performance/?_token=PrVt0TKpASVhYkndxN7lwLpzijDhcdJEfv-mkKwxaeo
[Tue Mar 02 16:18:06.217870 2021] [proxy_fcgi:error] [pid 4448:tid 140370788570880] [client 201.188.197.8:65292] AH01071: Got error 'PHP message: PHP Fatal error:  Uncaught Symfony\\Component\\Config\\Util\\Exception\\XmlParsingException: [ERROR 4] Start tag expected, '<' not found (in n/a - line 1, column 1) in /opt/bitnami/apps/prestashop/htdocs/vendor/symfony/symfony/src/Symfony/Component/Config/Util/XmlUtils.php:62\nStack trace:\n#0 /opt/bitnami/apps/prestashop/htdocs/vendor/symfony/symfony/src/Symfony/Component/Config/Util/XmlUtils.php(131): Symfony\\Component\\Config\\Util\\XmlUtils::parse('\\xA5`\\f!\\xC8\\xB2\\x8F\\xE0A\\xFD\\xE8J\\x7F\\xA3O...', NULL)\n#1 /opt/bitnami/apps/prestashop/htdocs/vendor/symfony/symfony/src/Symfony/Component/Translation/Loader/XliffFileLoader.php(54): Symfony\\Component\\Config\\Util\\XmlUtils::loadFile(Object(Symfony\\Component\\Finder\\SplFileInfo))\n#2 /opt/bitnami/apps/prestashop/htdocs/vendor/symfony/symfony/src/Symfony/Component/Translation/Loader/XliffFileLoader.php(42): Symfony\\Component\\Translation\\Loader\\XliffFileLoader->extract(Object(Symfony\\Component\\Finder\\SplFileInfo), Object(Symfony\\Component\\Translation\\MessageCa...\n'

Please check the following guide to troubleshoot server issues:

https://docs.bitnami.com/general/apps/wordpress/troubleshooting/debug-errors-apache/

These errors seem to be related with the changes you made in the application so we suggest you contact the developers of the template/theme/plugins you installed to confirm that it works with the Prestashop version you have.

  1. Your instance has little available RAM memory.
              total        used        free      shared  buff/cache   available
Mem:           1693        1197          81         158         414         164
Swap:             0           0           0

You could try to upgrade your instance. Please check your cloud provider’s documentation for more information.

  1. You can also enable swap memory to improve performance.

https://docs.bitnami.com/installer/faq/linux-faq/administration/increase-memory-linux/